# Fetch Historical Trades

## Get all fCash historical trades

This query can be used to fetch historical fCash trades. This includes fCash trades occurring upon nToken redemptions and nToken mints above the leverage threshold.

```
{
  transferBundles(orderBy:timestamp, where:{bundleName_in:["Buy fCash","Sell fCash"], transfers_:{tokenType:"fCash"}}){
    bundleName
    timestamp
    transfers{
      from{id}
      to{id}
      token{symbol}
      value
      valueInUnderlying
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.notional.finance/v3-technical-docs/subgraph-guides/notional-v3-subgraphs/fetch-historical-trades.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
